Strict Standards: Declaration of action_plugin_wysiwyg::register() should be compatible with DokuWiki_Action_Plugin::register($controller) in /home/w71788/domains/wiki.vdr-italia.org/public_html/lib/plugins/wysiwyg/action.php on line 16
i_plugins [Wiki di VDR-Italia]
 

Strict Standards: Declaration of Doku_Renderer_metadata::table_open() should be compatible with Doku_Renderer::table_open($maxcols = NULL, $numrows = NULL, $pos = NULL) in /home/w71788/domains/wiki.vdr-italia.org/public_html/inc/parser/metadata.php on line 24

Strict Standards: Declaration of Doku_Renderer_metadata::table_close() should be compatible with Doku_Renderer::table_close($pos = NULL) in /home/w71788/domains/wiki.vdr-italia.org/public_html/inc/parser/metadata.php on line 24

I plugins

I plugin, sono dei programmini, utili, a volte indispensabili, o semplicemente futili da aggiungere a vdr, essi funzionano solo all' interno di vdr, e con esso sono altamente integrati, infatti se viene effettuato un cambio pesante al codice di vdr, puo' capitare che un plugin scritto in precedenza non funzioni piu' e necessiti di esser aggiornato

tutti i plugin per poter esser compilati debbono esser messi nell' apposita sottocartella di vdr, quindi ad esempio

vdr-1.7.15/PLUGINS/src/nomeplugin

il nome della cartella, non deve contenere numeri e/o segni d' interpunzione, quindi se la cartella si chiama

mioplugin-1.0.2

esso verra' ignorato, per far si che si compili, dovremo eliminare i numeri, o piu' semplicemente (ci consente di tener traccia della versione compilata) creeremo un link simbolico

ln -s mioplugin-1.0.2 mioplugin

di seguito un piccolo elenco dei vari plugin, con le versioni compatibili di vdr

man mano che verranno testati i plugin con le varie versioni, metteremo nella casella relativa al nome del plugin, la versione del plugin testata con quella versione di vdr e il link alla relativa pagina del wiki.

legenda :

VUOTO - nessuno di noi ha provato a compilare una qualsiasi versione di quel plugin con quella versione di vdr
VERSIONE - funziona con successo quel plugin nella versione VER con quella versione di vdr , c'e' quindi il link alla pagina del plugin
NOTOK - VER - quel plugin, nella versione VER , non funziona con quella versione di vdr, probabilmente ci sara' pure una pagina con alcune notizie

 
i_plugins.txt · Ultima modifica: 27/02/2011 09:43 da pizzak
 
Recent changes RSS feed Donate Powered by PHP Valid XHTML 1.0 Valid CSS Driven by DokuWiki